# This rule checks for category in sparrow event calls (no-missing-category)

The sparrow track call requires a category in the payload. Google analytics will
drop any call made without a category.

## Rule Details

Example of **incorrect** code for this rule:

```js
/*eslint no-debugger: "error"*/

track('event',{test:'test'});,

track();,

sparrow.track('event',{test:'test'});,

sparrow.track();
```

Example of **correct** code for this rule:

```js
/*eslint no-missing-category: "error"*/

track('event',{test:'test','category':something});,

track('event',{test:'test',category:'something'});,

sparrow.track('event',{test:'test','category':'something',label:'something'});,

sparrow.track('event',{test:'test',category:'something',label:'something'});
```
